﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Http;
using System.Web.Http;

namespace W8Data.Service.Controllers
{
	public class CustomersController : ApiController
	{
		static List<Customer> _customers;
		static CustomersController()
		{
			_customers = new List<Customer>()
			{
				new Customer { Id = 1, Name = "Stefano Mostarda", City = "Roma", Address = "Via del corso 1", Country = "Italia", ZipCode = "00100"},
				new Customer { Id = 2, Name = "Daniele Bochicchio", City = "Rionero in Vulture", Address = "Via delle spighe 45", Country = "Italia", ZipCode = "00000"},
				new Customer { Id = 3, Name = "Marco Leoncini", City = "Ortimino", Address = "Via delle cozze 10", Country = "Italia", ZipCode = "00000"},
				new Customer { Id = 4, Name = "Alessio Leoncini", City = "Castelfiorentino", Address = "Via don matteo 30", Country = "Italia", ZipCode = "00000"},
				new Customer { Id = 5, Name = "Cristian Civera", City = "Dello", Address = "Via delle rovine 1", Country = "Italia", ZipCode = "00000"},
				new Customer { Id = 6, Name = "Marco De Sanctis", City = "Teramo", Address = "Via coliandri 1", Country = "Italia", ZipCode = "00000"}
			};
		}

		public IEnumerable<Customer> Get()
		{
			return _customers;
		}

		public Customer Get(int id)
		{
			return _customers.First(c => c.Id == id);
		}

		public void Post(Customer value)
		{
			value.Id = _customers.Max(c => c.Id) + 1;
			_customers.Add(value);
		}

		public void Put(Customer value)
		{
			var c = Get(value.Id);
			c.Name = value.Name;
			c.Address = value.Address;
			c.City = value.City;
			c.Country = value.Country;
			c.ZipCode = value.ZipCode;
		}

		public void Delete(int id)
		{
		}
	}
}